<?php
session_start();
include "../../inc/config.php";

$columns = array(
	'jenis_method',
	'nipd',
	'new_nipd',
	'mulai_smt',
	'history_pendidikan.id_jns_daftar',
	'tgl_masuk_sp',
	'jurusan.nama_jurusan',
	'js.nama_jurusan',
	'status_error',
	'history_pendidikan.id',
	);

if (isset($_POST['semester'])) {

	if ($_POST['semester']=='all') {
		$semester = '';
	} else {
		$semester = "and mulai_smt='".$_POST['semester']."'";
	}

	if ($_POST['jurusan']=='all') {
		$jurusan = '';
			if ($_SESSION['level']!=1) {
			$jurusan = "and history_pendidikan.kode_jurusan='".$_SESSION['jurusan']."'";
		}
	} else {
		$jurusan = "and history_pendidikan.kode_jurusan='".$_POST['jurusan']."'";
	}


	if ($_POST['status_filter']=='all') {
		$status = '';
	} else {
		$status = " and status_error='".$_POST['status_filter']."'";
	}

	if ($_POST['filter_jenis_method']=='') {
		$filter_jenis_method = '';
	} else {
		$filter_jenis_method = " and jenis_method='".$_POST['filter_jenis_method']."'";
	}

$query = $new_table->get_custom("select jenis_method,concat(jurusan.jenjang,' ',jurusan.nama_jurusan) as nama_jurusan,concat(js.jenjang,' ',js.nama_jurusan) as jurusan_baru,new_nipd,mulai_smt,history_pendidikan.nipd,history_pendidikan.tgl_masuk_sp,jenis_pendaftaran.nm_jns_daftar,jalur_masuk.jalur,status_error,history_pendidikan.id,keterangan
from history_pendidikan
left join jenis_pendaftaran on history_pendidikan.id_jns_daftar=jenis_pendaftaran.id_jns_daftar
left join jalur_masuk on history_pendidikan.id_jalur_masuk=jalur_masuk.id
left join jurusan on history_pendidikan.kode_jurusan=jurusan.kode_jurusan
left join jurusan js on history_pendidikan.new_kode_jurusan=js.kode_jurusan where
  history_pendidikan.id is not null $jurusan $semester $filter_jenis_method $status",$columns);

}

 else {
	if (isset($_POST['jurusan'])) {
		$query = $new_table->get_custom("select jenis_method,concat(js.jenjang,' ',js.nama_jurusan) as jurusan_baru,new_nipd,concat(jurusan.jenjang,' ',jurusan.nama_jurusan) as nama_jurusan,mulai_smt,history_pendidikan.nipd,history_pendidikan.tgl_masuk_sp,jenis_pendaftaran.nm_jns_daftar,jalur_masuk.jalur,status_error,history_pendidikan.id,keterangan
from history_pendidikan
left join jenis_pendaftaran on history_pendidikan.id_jns_daftar=jenis_pendaftaran.id_jns_daftar
 left join jalur_masuk on history_pendidikan.id_jalur_masuk=jalur_masuk.id 
left join jurusan on history_pendidikan.kode_jurusan=jurusan.kode_jurusan
left join jurusan js on history_pendidikan.new_kode_jurusan=js.kode_jurusan
 where jurusan.kode_jurusan='".$_POST['jurusan']."' ",$columns);
	} else {
	$query = $new_table->get_custom("select concat(js.jenjang,' ',js.nama_jurusan) as jurusan_baru,new_nipd,jenis_method,concat(jurusan.jenjang,' ',jurusan.nama_jurusan) as nama_jurusan,mulai_smt,history_pendidikan.nipd,history_pendidikan.tgl_masuk_sp,jenis_pendaftaran.nm_jns_daftar,jalur_masuk.jalur,status_error,history_pendidikan.id,keterangan
from history_pendidikan
left join jenis_pendaftaran on history_pendidikan.id_jns_daftar=jenis_pendaftaran.id_jns_daftar
 left join jalur_masuk on history_pendidikan.id_jalur_masuk=jalur_masuk.id 
left join jurusan on history_pendidikan.kode_jurusan=jurusan.kode_jurusan
left join jurusan js on history_pendidikan.new_kode_jurusan=js.kode_jurusan ",$columns);
	}
 }



$data = array();

foreach ($query	as $value) {
	$ResultData = array();
		$ResultData[] = "<input type='checkbox'  class='deleteRow' value='".$value->id."'/>";
	if ($value->jenis_method==1) {
		$ResultData[] = "Update";
	} elseif ($value->jenis_method==3) {
		$ResultData[] = "Ubah Prodi";
	} else {
		$ResultData[] = "Tambah";
	}
	$ResultData[] = $value->nipd;
	$ResultData[] = $value->new_nipd;
	$ResultData[] = $value->mulai_smt;
	$ResultData[] = $value->nm_jns_daftar;
	$ResultData[] = tgl_indo($value->tgl_masuk_sp);
	$ResultData[] = $value->nama_jurusan;
	$ResultData[] = $value->jurusan_baru;
		if ($value->status_error==1) {
		$ResultData[] = '<button rel="tooltip" type="button" class="btn btn-xs btn-success" data-toggle="tooltip" data-placement="left" title="" data-original-title="Sukses"><i class="fa fa-info-circle"></i></button> '.$value->status_error;
	} elseif ($value->status_error==0) {
		$ResultData[] = '<button rel="tooltip" type="button" class="btn btn-xs btn-warning tips" data-toggle="tooltip" data-placement="left" title="Belum diproses" data-original-title="Belum diproses"><i class="fa fa-info-circle"></i></button> '.$value->status_error;
	} else {
		$ResultData[] = '<button rel="tooltip" type="button" class="btn btn-xs btn-danger" data-toggle="tooltip" data-placement="left" title=\''.addslashes($value->keterangan).'\'" data-original-title=\''.addslashes($value->keterangan).'\'"><i class="fa fa-info-circle"></i></button> '.$value->status_error;
	}
	$ResultData[] = $value->id;

	$data[] = $ResultData;
	
}
//set data
$new_table->set_data($data);
//create our json
$new_table->create_data();



